Bug 795787 - No error code when qemu pauses VM due to IO Error
No error code when qemu pauses VM due to IO Error
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
16
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Jiri Denemark
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 786819
  Show dependency treegraph
 
Reported: 2012-02-21 09:30 EST by Jakub Libosvar
Modified: 2012-11-26 16:58 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-26 16:58:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Libvirtd.log (1.42 MB, text/x-log)
2012-02-21 09:30 EST, Jakub Libosvar
no flags Details

  None (edit)
Description Jakub Libosvar 2012-02-21 09:30:53 EST
Created attachment 564695 [details]
Libvirtd.log

Description of problem:
In vdsm the event from qemu is registered using domainEventRegisterAny method on event libvirt.VIR_DOMAIN_EVENT_ID_IO_ERROR_REASON. When qemu pauses VM due to IO error (no permissions on VM's image), the error code from qemu is empty string in event handler function:

('/rhev/data-center/f5c0fd9a-4d0b-491a-afd4-bbfb067ee23a/03f424dc-a4b3-4e00-96dd-cdc9fcd77054/images/7c7eb8ab-32d8-41a4-b298-0819617faafc/b679409a-f27f-47ac-908b-56cef9b6e62b', 'virtio-disk0', 1, '', (<clientIF.clientIF instance at 0x2b994d0>, 6))

Version-Release number of selected component (if applicable):
libvirt-0.9.6-4.fc16.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Change permissions on running VM's image to 0000
2. Wait till VM get's paused
3. Check the qemu error code in libvirt
  
Actual results:
It's empty string

Expected results:
EIO or EOTHER

Additional info:
from libvirtd.log (attached)
2012-02-21 14:17:32.356+0000: 1150: debug : qemuProcessHandleIOError:650 : Transitioned guest VM to paused state due to IO error
2012-02-21 14:17:32.356+0000: 1150: debug : qemuProcessHandleIOError:660 : Preserving lock state '(null)'
Comment 1 Cole Robinson 2012-10-20 19:23:17 EDT
Hmm, I couldn't reproduce any disk error on F17 using those instructions. Guest starts up, change disk permissions to 0000, and it seems to happily chug along.

Jakub, can you reproduce the issue on F17?
Comment 2 Cole Robinson 2012-11-26 16:58:47 EST
No response for a month (and F16 is approaching EOL), so closing. If this can be reproduced on latest Fedora, please reopen and provide the info requested in Comment #1

Note You need to log in before you can comment on or make changes to this bug.